Skip to main content
`Ctrl`+`K`

# MatMPIAIJGetNumberNonzeros

gets the number of nonzeros in the matrix on this MPI rank

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMPIAIJGetNumberNonzeros(Mat A, PetscCount *nz)

Not Collective

## Input Parameter

- A - the matrix

## Output Parameter

- nz - the number of nonzeros

## See Also

Matrices, `Mat`, `MATMPIAIJ`

## Level

advanced

## Location

src/mat/impls/aij/mpi/mpiaij.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages